WseeDocletTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.wsee.WseeDocletTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.wsee
Class WseeDocletTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              xjavadoc.ant.XJavadocTask
                  xdoclet.DocletTask
                      xdoclet.modules.wsee.WseeDocletTask

All Implemented Interfaces:
  org.apache.tools.ant.DynamicConfigurator

public class WseeDocletTask
extends DocletTask

This task executes various wsee specific tasks

Version:
  $Revision: 1.1 $
Author:
  Christoph G. Jung (christoph.jung@infor.de)
ant.element
  name="wseedoclet" display-name="Web Services for Java 2 Enterprise Edition Task"
created
  23.12.03

Nested Class Summary
`static class` | `WseeDocletTask.PackageNamespaceMapping` Inner class designed after package substitutions

Field Summary
`static String` | `DEFAULT_SPEC` constants
`protected String` | `jaxrpcMappingFile`
`protected List` | `packageNamespaceMappings`
`protected String` | `wsdlFile`
`protected String` | `wseeSpec` state

Fields inherited from class xdoclet.DocletTask
`XDOCLET_VERSION`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`WseeDocletTask()`

Method Summary
`void` | `addPackageNamespaceMapping(WseeDocletTask.PackageNamespaceMapping mapping)` adds a package-namespace mapping
`String` | `getJaxrpcMappingFile()`
`List` | `getPackageNamespaceMappings()`
`String` | `getWsdlFile()`
`String` | `getWseeSpec()`
`void` | `setJaxrpcMappingFile(String location)` set location of jaxrpc mapping file
`void` | `setPackageNamespaceMappings(List list)`
`void` | `setWsdlFile(String location)` set location of the wsdl file
`void` | `setWseeSpec(String ver)` set specification version

Methods inherited from class xdoclet.DocletTask
`addConfigParam, addFileset, addPackageSubstitution, addSubTask, addTemplate, addXmlTemplate, checkClass, createDynamicElement, getAddedTags, getConfigParams, getConfigParams, getConfigParamsAsMap, getDestDir, getExcludedTags, getMergeDir, getPackageSubstitutions, getSubTaskName, getSubTasks, isForce, isVerbose, setAddedTags, setDestDir, setDynamicAttribute, setExcludedTags, setExcludePackageNames, setForce, setMergeDir, setPackageNames, setPackageSubstitutions, setVerbose, start, validateOptions, validateSubTasks`

Methods inherited from class xjavadoc.ant.XJavadocTask
`createIgnoredtag, execute, getClasspath, getXJavaDoc, setDocencoding, setEncoding, setIgnoredtags, setValidating`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SPEC

    public static final String DEFAULT_SPEC

  constants

  See Also:
    Constant Field Values

### wseeSpec

    protected String wseeSpec

  state

### wsdlFile

    protected String wsdlFile

### jaxrpcMappingFile

    protected String jaxrpcMappingFile

### packageNamespaceMappings

    protected List packageNamespaceMappings

Constructor Detail

### WseeDocletTask

    public WseeDocletTask()

Method Detail

### getWseeSpec

    public String getWseeSpec()

  Returns:
    specification version

### getJaxrpcMappingFile

    public String getJaxrpcMappingFile()

  Returns:
    location of the jaxrpc file

### getWsdlFile

    public String getWsdlFile()

  Returns:
    location of the wsdl file

### getPackageNamespaceMappings

    public List getPackageNamespaceMappings()

  Returns:

### setWseeSpec

    public void setWseeSpec(String ver)

  set specification version

  Parameters:
    `ver` - string specifier

### setJaxrpcMappingFile

    public void setJaxrpcMappingFile(String location)

  set location of jaxrpc mapping file

  Parameters:
    `location` - the file location

### setWsdlFile

    public void setWsdlFile(String location)

  set location of the wsdl file

  Parameters:
    `location` - the file location

### setPackageNamespaceMappings

    public void setPackageNamespaceMappings(List list)

  Parameters:
    `list` -

### addPackageNamespaceMapping

    public void addPackageNamespaceMapping(WseeDocletTask.PackageNamespaceMapping mapping)

  adds a package-namespace mapping

  Parameters:
    `mapping` - The feature to be added to the PackageNamespaceMapping attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD